#!/usr/bin/env python

import os

import scrapy.crawler
import scrapy.utils.log
import scrapy.utils.project
import twisted.internet.reactor


@twisted.internet.defer.inlineCallbacks
def crawl(crawler_runner, spider_names):
    for spider_name in spider_names:
        try:
            yield crawler_runner.crawl(spider_name)
        except KeyError:
            pass
    twisted.internet.reactor.stop()


def run(spider_names):
    os.environ.setdefault('SCRAPY_SETTINGS_MODULE',
                          'scraping.scraping.settings')
    crawler_runner = scrapy.crawler.CrawlerRunner(
        scrapy.utils.project.get_project_settings(),
    )
    crawl(crawler_runner, spider_names)
    twisted.internet.reactor.run()
