#!/usr/bin/env python

import logging
import pathlib
import socket
import time


def get_logger(project_name):
    logging.basicConfig(
        filename=pathlib.Path('..', 'log', f'{project_name}.log').as_posix(),
        format=(
            '[%(asctime)s.%(msecs)03dZ] '
            f'{socket.gethostbyname(socket.gethostname())} '
            '%(name)s %(levelname)s: %(message)s'
        ),
        datefmt='%Y-%m-%dT%H:%M:%S',
        level=logging.DEBUG,
    )
    logging.Formatter.converter = time.gmtime
    return logging.getLogger(project_name)
